Loading PDF results in "To view the full contents of this document- you need a later version of the PDF viewer."


#1

Hi,

When I try to open an existing document, I get this error:

To view the full contents of this document, you need a later version of the PDF viewer. You can upgrade
to the latest version of Adobe Reader from www.adobe.com/products/acrobat/readstep2.html
For further support, go to www.adobe.com/support/products/acrreader.html


Code:

Document pdfDocument = new Document();
byte[] strFileOne = GetDocument(AODocFormsInput.strSourceFiles[pdfCnt], AODocFormsInput.strUserName, AODocFormsInput.strPassword, AODocFormsInput.strDomain);

mstrFileOne = new MemoryStream(strFileOne);
pdfDocument = new Document(mstrFileOne);


At this point pdfDocument does not have the org document but the text mentioned above.
This does not occur for all documents but only a few documents. One such document is attached.

Aspose PDF Version is 7.6.0.0


#2

Hi Padmanabhan,


Thanks for your patience. Our development team has investigated the issue and came to know that ,original document 1169NY-CR.pdf has 9 pages but all of them come from dynamic XFA form (see the empty list of standard Acro fields and /NeedsRendering true). It means that all these pages are created/rendered at the moment pdf is being opened in Adobe Acrobat/Reader. So we can’t extract and save any such virtual page or several pages. Instead we (and Adobe Acrobat) can extract only one true page which contains only error message

To view the full contents of this document, you need a later version of the PDF viewer. You can upgrade
to the latest version of Adobe Reader from www.adobe.com/products/acrobat/readstep2.html
For further support, go to www.adobe.com/support/products/acrreader.html

This message implicitly confirms that XFA renderer appeared in Adobe products not so long ago and therefore new version of Adobe Reader is necessary to view pdf with dynamic XFA forms.

Please feel free to contact us for any further assistance.

Best Regards,


#3
Hi Padmanabhan,

Thanks for your inquiry. I'm afraid Aspose.Pdf currently doesn't support conversion of XFA form to static form. However, please note that we have already logged the feature request in our issue tracking system as PDFNEWNET-34090. I've linked your request to the issue and will keep you updated about issue progress via this forum thread,

Sorry for the inconvenience faced.

Best Regards,

#4

Hi Padmanabhan,


Thanks for your patience. We have provided the functionality to convert XFA from to Static in Aspose.Pdf for .NET 7.9.0. You may please check following documentation link for details and sample code snippet for the purpose. Hopefully it will help you to accomplish the task.


Please feel free to contact us for any further assistance.

Best Regards,

#5

The issues you have found earlier (filed as PDFNEWNET-34090) have been fixed in Aspose.Pdf for .NET 9.3.0.

Blog post for this release can be viewed over this link


This message was posted using Notification2Forum from Downloads module by Aspose Notifier.
(3)

#6

The issues you have found earlier (filed as ) have been fixed in this Aspose.Words for JasperReports 18.3 update.